""" aiohttp examples """

import sys

import asyncio
import aiohttp
from aiohttp import web


BIN = "http://requestb.in/1dbep2b1"


async def simple_get():
    """ Simple .get request. """
    response = await aiohttp.get(BIN)
    text = await response.text()
    return text


async def simple_post():
    """ Simple .post. """
    response = await aiohttp.post(BIN, data=b'DATA!')
    text = await response.text()
    return response


async def url_params():
    """ URL params. """
    params = {'hello': 'ctpug', 'year': '2016'}
    response = await aiohttp.get(BIN, params=params)
    text = await response.text()
    return response


async def release():
    """ Explicitly releasing the response """
    async with aiohttp.get(BIN) as response:
        return response


def loop(d):
    loop = asyncio.get_event_loop()
    return loop.run_until_complete(d)


def run_example():
    [name] = sys.argv[1:]
    example = globals()[name]
    print(loop(example()))


if __name__ == '__main__':
    run_example()
